【機械類畢業(yè)論文中英文對照文獻翻譯】Endshortcut menu 事件【word英文974字7頁word中文翻譯915字6頁】
【機械類畢業(yè)論文中英文對照文獻翻譯】Endshortcut menu 事件【word英文974字7頁word中文翻譯915字6頁】,機械類畢業(yè)論文中英文對照文獻翻譯,word英文974字7頁,word中文翻譯915字6頁,【機械類畢業(yè)論文中英文對照文獻翻譯】Endshortcut,menu,事件【word英文974字7頁,word中文翻譯915字6頁】,機械類
Endshortcut menu 事件
快捷菜單出現(xiàn)后被擊活。
用法:
Object.Activate()
Object: Document 對象
對象表達式,其結(jié)果為有效的容器對象,此處必須為文檔對象(document)。
說明:
當(dāng)模式對話框顯示時不會觸發(fā)任何事件。
參見:
方法,屬性和事件:
BeginShortcutMenuDefault
BeginShortcutMenuEdit
BeginShortcutMenuGrip
BeginShortcutMenuOsnap
BeginRightClick
Activex和VBA開發(fā)指導(dǎo):
“使用事件”
Using Programming Languages other than VBA
例程:
Private Sub AcadDocument_Activate()
’本例演示快捷菜單事件的圖形
’當(dāng)用戶關(guān)閉快捷菜單圖形時,此事件被擊活
’激活示例程序:將鼠標(biāo)放在快捷菜單活動的區(qū)域上,單擊右鍵
’等待快捷菜單被打開,然后再關(guān)閉
MsgBox "您剛才激活了一個圖形!"
End Sub
Layout Switched 事件
用戶轉(zhuǎn)換一個不同的排列之后被激活
用法:
object.LayoutSwitched (Layout Name)
object: Document 對象
對象表達式,其結(jié)果為有效的容器對象,此處必須為文檔對象(document)。
說明:
當(dāng)模式對話框顯示時不會觸發(fā)任何事件。
參見:
方法,屬性和事件:
WindowChanged
WindowMovedOrResized
Activex和VBA開發(fā)指導(dǎo):
“使用事件”
Using Programming Languages other than VBA
例程:
Private Sub AcadDocument_LayoutSwitched (By Val Layout Name as String)
’演示排列轉(zhuǎn)換事件的圖形
’當(dāng)用戶用了不同的排列時被激活
’激活示例程序:打開圖形并改變排列
’例如:轉(zhuǎn)換一個圖形從模式到排列
’排列圖表的多樣性,我們可以選擇自己需要的
MsgBox "您剛才激活了一個圖形!"
End Sub
LISPCancelled 事件
當(dāng)LISP 表達的評估被取消時被激活
用法:
object.LISPCancelled ()
object:
Application 對象, Document 對象
對象表達式,其結(jié)果為有效的容器對象,此處必須為應(yīng)用程序?qū)ο螅╝pplication)或文檔對象(document)。
說明:
當(dāng)模式對話框顯示時不會觸發(fā)任何事件。
參見:
方法,屬性和事件:
BeginLISP
EndLISP
Activex和VBA開發(fā)指導(dǎo):
“使用事件”
Using Programming Languages other than VBA
例程:
Private Sub AcadDocument_LispCancelled ()
’本例演示LISP取消的圖形
'LISP表達的評估取消時被激活
’激活示例程序:操作LISP表達和取消LISP的評估在它完成之前
MsgBox "您剛才激活了一個圖形!"
End Sub
Modified 事件
當(dāng)對象和集合被修改時被激活。
用法:
object. Modified (Entity)
object:
All Drawing objects, Block, Blocks, Dictionary, Dictionaries, DimStyle, DimStyles, Group, Groups, Hyperlink, Hyperlinks, Layer, Layers, Layout, Layouts, Linetype, Linetypes, ModelSpace, PaperSpace, PlotConfiguration, PlotConfigurations, RegisteredApplication, RegisteredApplications, SelectionSet, SelectionSets, TextStyle, TextStyles, UCS, UCSs, View, Views, Viewport, Viewports, XRecord
對象表達式,其結(jié)果為有效的容器對象。
說明:
當(dāng)模式對話框顯示時不會觸發(fā)任何事件。
參見:
方法,屬性和事件:
ObjectAdded
ObjectErased
Activex和VBA開發(fā)指導(dǎo):
“使用事件”
Using Programming Languages other than VBA
例程:
Public with Events Plane as AcadLWPolyline ' Use with Modified Event Example
Sub Example Modified ()
’在模式狀態(tài)下本例創(chuàng)造了lightweight polyline 和涉及Polyline的使用在不同的場合建立相互的修改事件
’在修改事件中本例修改新的對象,激活代碼
’修改對象激活事件
’提示:本事件代碼將要被激活
’在們移動或重新修改背景之前,線不會變?yōu)樗{色當(dāng)本例的信件箱被展現(xiàn)時
MsgBox "您剛才激活了一個圖形!"
End Sub
7
EndShortcutMenu event
Triggered after the shortcut menu appears.
See Also | Example
Signature
object.EndShortcutMenu (Shortcut Menu)
Object
Document object
an object expression that evaluates to a valid container object. In this case, the only valid container is a document.
Shortcut Menu
PopupMenu object; input/output from the handler
the shortcut menu that has been displayed.
Remarks
Use this event to perform any cleanup work on the shortcut menu.
No events will be fired while a modal dialog is being displayed.
?See Also
Methods, Properties, and Events:
BeginShortcutMenuDefault
BeginShortcutMenuEdit
BeginShortcutMenuGrip
BeginShortcutMenuOsnap
BeginRightClick
ActiveX and VBA Developer's Guide:
"Use Events"
Example
Private Sub AcadDocument_EndShortcutMenu (Shortcut Menu as AutoCAD.IAcadPopupMenu)
‘This example intercepts a drawing EndShortcutMenu event.
'
‘This event is triggered when the user closes a drawing shortcut menu.
'
‘To trigger this example event: Right click the mouse in the working area of a drawing,
‘Wait for the shortcut menu to be displayed and then dismiss the shortcut menu
MsgBox "A shortcut menu was just closed!"
End Sub
LayoutSwitched event
?Triggered after the user switches to a different layout.
See Also | Example
Signature
object.LayoutSwitched (Layout Name)
Object
Document object
an object expression that evaluates to a valid container object. In this case, the only valid container is a document.
Layout Name
String; input to the handler
the name of the layout the user has switched to.
Remarks
No events will be fired while a modal dialog is being displayed.
?See Also
Methods, Properties, and Events:
WindowChanged
WindowMovedOrResized
ActiveX and VBA Developer's Guide:
"Use Events"
Example
Private Sub AcadDocument_LayoutSwitched (By Val Layout Name as String)
‘This example intercepts a drawing Layout Switched event.
'
‘This event is triggered when the user switches to a different
‘Drawing layout view.
'
‘To trigger this example event: Open a drawing and change its layout view
'
‘For example: Switch the drawing from Model view to Layout1 view
‘Use the "Layout Name" variable to determine the which layout view we changed to
MsgBox "The drawing layout was just changed to: " & Layout Name
End Sub
LISPCancelled event
Triggered when the evaluation of a LISP expression is cancelled.
See Also | Example
Signature
object.LISPCancelled ()
Object
Application object, Document object
an object expression that evaluates to a valid container object. In this case, the only valid containers are the application and a document.
Remarks
No events will be fired while a modal dialog is being displayed.
?See Also
Methods, Properties, and Events:
BeginLISP
EndLISP
ActiveX and VBA Developer's Guide:
"Use Events
Example
Private Sub AcadDocument_LispCancelled ()
‘This example intercepts a drawing Lisp Cancelled event.
'
‘This event is triggered when the evaluation of a LISP expression is cancelled.
'
‘To trigger this example event: Run a LISP expression and
‘Cancel the LISP evaluation before it finishes
MsgBox "A LISP evaluation was just cancelled."
End Sub
Modified event
?Triggered when an object or collection in the drawing has been modified.
See Also | Example
Signature
Object. Modified (Entity)
Object
All Drawing objects, Block, Blocks, Dictionary, Dictionaries, DimStyle, DimStyles, Group, Groups, Hyperlink, Hyperlinks, Layer, Layers, Layout, Layouts, Linetype, Linetypes, ModelSpace, PaperSpace, PlotConfiguration, PlotConfigurations, RegisteredApplication, RegisteredApplications, SelectionSet, SelectionSets, TextStyle, TextStyles, UCS, UCSs, View, Views, Viewport, Viewports, XRecord
An object expression that evaluates to a valid container object.
Entity
A Drawing Object
The object in the drawing that is modified can be any one of the drawing objects.
Remarks
This event will be triggered whenever the object is modified. Modification includes whenever the value of a property is set, even if the new value is equal to the current value.
When coding in VBA, you must provide an event handler for all objects enabled for the Modified event. If you do not provide a handler, VBA may terminate unexpectedly.
No events will be fired while a modal dialog is being displayed.
?
See Also
Methods, Properties, and Events:
ObjectAdded
ObjectErased
ActiveX and VBA Developer's Guide:
"Use Events"
Example
Public with Events Plane as AcadLWPolyline ' Use with Modified Event Example
Sub Example Modified ()
‘This example creates a lightweight plotline in model space and
‘References the Plotline using the public variable (Plane) which
‘Is set up to intercept Modified events.
'
‘This example then modifies the new object, triggering the code
‘In the Modified event.
Dim points (0 To 9) As Double
‘Define the 2D plotline points
Points (0) = 1: points (1) = 1
Points (2) = 1: points (3) = 2
Points (4) = 2: points (5) = 2
Points (6) = 3: points (7) = 2
Points (8) = 4: points (9) = 4
‘Create a lightweight Plotline object in model space
'
‘* Note: We are returning the new Plotline object into a Module
‘Level variable. This allows us to intercept events associated
‘With that particular object.
Set Plane = ThisDrawing.ModelSpace.AddLightWeightPolyline (points)
ThisDrawing.Application.ZoomAll
‘Modify object to trigger event.
'
‘* Note: The event code for the Plotline modification will be triggered
‘Before we move forward and refresh the view, so the line will not
‘Appear blue when the event message box is displayed.
Dim color As AcadAcCmColor
Set color = AcadApplication.GetInterfaceObject ("AutoCAD.AcCmColor.16")
Call color.SetRGB (80, 100, and 244)
PLine.TrueColor = color
ThisDrawing.Regen acAllViewports
End Sub
Private Sub PLine_Modified (ByVal pObject As AutoCAD.IAcadObject)
‘This example intercepts an object's Modified event.
'
‘This event is triggered when an object supporting this event is modified.
'
‘To trigger this code: Modify an object connected to this event
‘* Note: By connected, we mean the object set up to intercept events using
‘The VBA with Events statement
‘Use the "object" variable to determine which object was modified
Skybox "You just modified an object with an ID of: " & pObject.ObjectID
End Sub
7
收藏